## cascading.tuple.hadoop
Class BigDecimalSerialization.BigDecimalSerializer

    java.lang.Object
      cascading.tuple.hadoop.BigDecimalSerialization.BigDecimalSerializer

All Implemented Interfaces:
  Serializer<BigDecimal>

Enclosing class:
  BigDecimalSerialization

    public static class BigDecimalSerialization.BigDecimalSerializer

extends Object
implements Serializer<BigDecimal>

Constructor Summary
`BigDecimalSerialization.BigDecimalSerializer()`

Method Summary
`void` `close()`
`void` `open(OutputStream out)`
`void` `serialize(BigDecimal bigDecimal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BigDecimalSerialization.BigDecimalSerializer

    public BigDecimalSerialization.BigDecimalSerializer()

Method Detail

### open

    public void open(OutputStream out)
              throws IOException

  Specified by:
    `open` in interface `Serializer<BigDecimal>`
  Throws:
    `IOException`

### serialize

    public void serialize(BigDecimal bigDecimal)
                   throws IOException

  Specified by:
    `serialize` in interface `Serializer<BigDecimal>`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Serializer<BigDecimal>`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.